<?xml version="1.0" encoding="UTF-8"?>
<incidents format="6" by="lint 8.5.0" type="incidents">

    <incident
        id="KaptUsageInsteadOfKsp"
        severity="warning"
        message="This library supports using KSP instead of kapt, which greatly improves performance. Learn more: https://developer.android.com/studio/build/migrate-to-ksp">
        <show-url
            description="Learn about how to enable KSP and use the KSP processor for this dependency instead"
            url="https://developer.android.com/studio/build/migrate-to-ksp"/>
        <location
            file="${:*projectDir}/build.gradle.kts"
            line="49"
            column="5"
            startOffset="1158"
            endLine="49"
            endColumn="46"
            endOffset="1199"/>
    </incident>

    <incident
        id="KaptUsageInsteadOfKsp"
        severity="warning"
        message="This library supports using KSP instead of kapt, which greatly improves performance. Learn more: https://developer.android.com/studio/build/migrate-to-ksp">
        <show-url
            description="Learn about how to enable KSP and use the KSP processor for this dependency instead"
            url="https://developer.android.com/studio/build/migrate-to-ksp"/>
        <location
            file="${:*projectDir}/build.gradle.kts"
            line="53"
            column="5"
            startOffset="1295"
            endLine="53"
            endColumn="59"
            endOffset="1349"/>
    </incident>

    <incident
        id="AndroidGradlePluginVersion"
        severity="warning"
        message="A newer version of com.android.library than 8.5.0 is available: 9.1.0. (There is also a newer version of 8.5.𝑥 available, if upgrading to 9.1.0 is difficult: 8.5.2)">
        <fix-alternatives>
            <fix-replace
                description="Change to 9.1.0"
                family="Update versions"
                oldString="8.5.0"
                replacement="9.1.0"
                priority="0"/>
            <fix-replace
                description="Change to 8.5.2"
                family="Update versions"
                robot="true"
                independent="true"
                oldString="8.5.0"
                replacement="8.5.2"
                priority="0"/>
        </fix-alternatives>
        <location
            file="${:*projectDir}/build.gradle.kts"
            line="2"
            column="39"
            startOffset="48"
            endLine="2"
            endColumn="46"
            endOffset="55"/>
    </incident>

    <incident
        id="GradleDependency"
        severity="warning"
        message="A newer version of org.jetbrains.kotlin.android than 1.9.22 is available: 2.0.21">
        <fix-replace
            description="Change to 2.0.21"
            family="Update versions"
            oldString="1.9.22"
            replacement="2.0.21"
            priority="0"/>
        <location
            file="${:*projectDir}/build.gradle.kts"
            line="3"
            column="48"
            startOffset="103"
            endLine="3"
            endColumn="56"
            endOffset="111"/>
    </incident>

    <incident
        id="GradleDependency"
        severity="warning"
        message="A newer version of org.jetbrains.kotlin.plugin.parcelize than 1.9.22 is available: 2.0.0">
        <fix-replace
            description="Change to 2.0.0"
            family="Update versions"
            oldString="1.9.22"
            replacement="2.0.0"
            priority="0"/>
        <location
            file="${:*projectDir}/build.gradle.kts"
            line="4"
            column="57"
            startOffset="168"
            endLine="4"
            endColumn="65"
            endOffset="176"/>
    </incident>

    <incident
        id="GradleDependency"
        severity="warning"
        message="A newer version of com.android.tools:desugar_jdk_libs than 2.0.4 is available: 2.1.5">
        <fix-replace
            description="Change to 2.1.5"
            family="Update versions"
            oldString="2.0.4"
            replacement="2.1.5"
            priority="0"/>
        <location
            file="${:*projectDir}/build.gradle.kts"
            line="41"
            column="27"
            startOffset="890"
            endLine="41"
            endColumn="69"
            endOffset="932"/>
    </incident>

    <incident
        id="GradleDependency"
        severity="warning"
        message="A newer version of androidx.core:core-ktx than 1.12.0 is available: 1.18.0">
        <fix-replace
            description="Change to 1.18.0"
            family="Update versions"
            oldString="1.12.0"
            replacement="1.18.0"
            priority="0"/>
        <location
            file="${:*projectDir}/build.gradle.kts"
            line="44"
            column="20"
            startOffset="970"
            endLine="44"
            endColumn="51"
            endOffset="1001"/>
    </incident>

    <incident
        id="GradleDependency"
        severity="warning"
        message="A newer version of androidx.room:room-runtime than 2.6.1 is available: 2.8.4">
        <fix-replace
            description="Change to 2.8.4"
            family="Update versions"
            oldString="2.6.1"
            replacement="2.8.4"
            priority="0"/>
        <location
            file="${:*projectDir}/build.gradle.kts"
            line="47"
            column="20"
            startOffset="1067"
            endLine="47"
            endColumn="54"
            endOffset="1101"/>
    </incident>

    <incident
        id="GradleDependency"
        severity="warning"
        message="A newer version of androidx.room:room-ktx than 2.6.1 is available: 2.8.4">
        <fix-replace
            description="Change to 2.8.4"
            family="Update versions"
            oldString="2.6.1"
            replacement="2.8.4"
            priority="0"/>
        <location
            file="${:*projectDir}/build.gradle.kts"
            line="48"
            column="20"
            startOffset="1122"
            endLine="48"
            endColumn="50"
            endOffset="1152"/>
    </incident>

    <incident
        id="GradleDependency"
        severity="warning"
        message="A newer version of androidx.room:room-compiler than 2.6.1 is available: 2.8.4">
        <fix-replace
            description="Change to 2.8.4"
            family="Update versions"
            oldString="2.6.1"
            replacement="2.8.4"
            priority="0"/>
        <location
            file="${:*projectDir}/build.gradle.kts"
            line="49"
            column="10"
            startOffset="1163"
            endLine="49"
            endColumn="45"
            endOffset="1198"/>
    </incident>

    <incident
        id="GradleDependency"
        severity="warning"
        message="A newer version of com.squareup.moshi:moshi than 1.15.0 is available: 1.15.1">
        <fix-replace
            description="Change to 1.15.1"
            family="Update versions"
            oldString="1.15.0"
            replacement="1.15.1"
            priority="0"/>
        <location
            file="${:*projectDir}/build.gradle.kts"
            line="52"
            column="20"
            startOffset="1256"
            endLine="52"
            endColumn="53"
            endOffset="1289"/>
    </incident>

    <incident
        id="GradleDependency"
        severity="warning"
        message="A newer version of com.squareup.moshi:moshi-kotlin-codegen than 1.15.0 is available: 1.15.1">
        <fix-replace
            description="Change to 1.15.1"
            family="Update versions"
            oldString="1.15.0"
            replacement="1.15.1"
            priority="0"/>
        <location
            file="${:*projectDir}/build.gradle.kts"
            line="53"
            column="10"
            startOffset="1300"
            endLine="53"
            endColumn="58"
            endOffset="1348"/>
    </incident>

    <incident
        id="GradleDependency"
        severity="warning"
        message="A newer version of com.squareup.moshi:moshi-kotlin than 1.15.0 is available: 1.15.1">
        <fix-replace
            description="Change to 1.15.1"
            family="Update versions"
            oldString="1.15.0"
            replacement="1.15.1"
            priority="0"/>
        <location
            file="${:*projectDir}/build.gradle.kts"
            line="54"
            column="20"
            startOffset="1369"
            endLine="54"
            endColumn="60"
            endOffset="1409"/>
    </incident>

    <incident
        id="GradleDependency"
        severity="warning"
        message="A newer version of com.squareup.moshi:moshi than 1.15.0 is available: 1.15.1">
        <fix-replace
            description="Change to 1.15.1"
            family="Update versions"
            oldString="1.15.0"
            replacement="1.15.1"
            priority="0"/>
        <location
            file="${:*projectDir}/build.gradle.kts"
            line="58"
            column="24"
            startOffset="1495"
            endLine="58"
            endColumn="57"
            endOffset="1528"/>
    </incident>

    <incident
        id="GradleDependency"
        severity="warning"
        message="A newer version of com.squareup.moshi:moshi-kotlin than 1.15.0 is available: 1.15.1">
        <fix-replace
            description="Change to 1.15.1"
            family="Update versions"
            oldString="1.15.0"
            replacement="1.15.1"
            priority="0"/>
        <location
            file="${:*projectDir}/build.gradle.kts"
            line="59"
            column="24"
            startOffset="1553"
            endLine="59"
            endColumn="64"
            endOffset="1593"/>
    </incident>

    <incident
        id="GradleDependency"
        severity="warning"
        message="A newer version of androidx.room:room-testing than 2.6.1 is available: 2.8.4">
        <fix-replace
            description="Change to 2.8.4"
            family="Update versions"
            oldString="2.6.1"
            replacement="2.8.4"
            priority="0"/>
        <location
            file="${:*projectDir}/build.gradle.kts"
            line="62"
            column="24"
            startOffset="1734"
            endLine="62"
            endColumn="58"
            endOffset="1768"/>
    </incident>

    <incident
        id="GradleDependency"
        severity="warning"
        message="A newer version of androidx.test:core than 1.5.0 is available: 1.7.0">
        <fix-replace
            description="Change to 1.7.0"
            family="Update versions"
            oldString="1.5.0"
            replacement="1.7.0"
            priority="0"/>
        <location
            file="${:*projectDir}/build.gradle.kts"
            line="65"
            column="24"
            startOffset="1935"
            endLine="65"
            endColumn="50"
            endOffset="1961"/>
    </incident>

    <incident
        id="GradleDependency"
        severity="warning"
        message="A newer version of androidx.test.ext:junit than 1.1.5 is available: 1.3.0">
        <fix-replace
            description="Change to 1.3.0"
            family="Update versions"
            oldString="1.1.5"
            replacement="1.3.0"
            priority="0"/>
        <location
            file="${:*projectDir}/build.gradle.kts"
            line="66"
            column="24"
            startOffset="1986"
            endLine="66"
            endColumn="55"
            endOffset="2017"/>
    </incident>

    <incident
        id="GradleDependency"
        severity="warning"
        message="A newer version of androidx.test:runner than 1.5.2 is available: 1.7.0">
        <fix-replace
            description="Change to 1.7.0"
            family="Update versions"
            oldString="1.5.2"
            replacement="1.7.0"
            priority="0"/>
        <location
            file="${:*projectDir}/build.gradle.kts"
            line="67"
            column="24"
            startOffset="2042"
            endLine="67"
            endColumn="52"
            endOffset="2070"/>
    </incident>

</incidents>
